|  | Home · All Classes · Modules

# QScriptString Class Reference
[QtScript module]

The QScriptString class acts as a handle to "interned" strings in a QScriptEngine. More...

### Methods

- __init__ (self)
- __init__ (self, QScriptString other)
- bool isValid (self)
- (int, bool ok) toArrayIndex (self)
- QString toString (self)

### Special Methods

- bool __eq__ (self, QScriptString other)
- int __hash__ (self)
- bool __ne__ (self, QScriptString other)

## Detailed Description

The QScriptString class acts as a handle to "interned" strings in a QScriptEngine.

QScriptString can be used to achieve faster (repeated) property getting/setting, and comparison of property names, of script objects.

To get a QScriptString representation of a string, pass the string to QScriptEngine.toStringHandle(). The typical usage pattern is to register one or more pre-defined strings when setting up your script environment, then subsequently use the relevant QScriptString as argument to e.g. QScriptValue.property().

Call the toString() function to obtain the string that a QScriptString represents.

Call the toArrayIndex() function to convert a QScriptString to an array index. This is useful when using QScriptClass to implement array-like objects.

## Method Documentation

### QScriptString.__init__ (self)

Constructs an invalid QScriptString.

### QScriptString.__init__ (self, QScriptString other)

Constructs a new QScriptString that is a copy of other.

### bool QScriptString.isValid (self)

Returns true if this QScriptString is valid; otherwise returns false.

### (int, bool ok) QScriptString.toArrayIndex (self)

Attempts to convert this QScriptString to a QtScript array index, and returns the result.

If a conversion error occurs, *ok is set to false; otherwise *ok is set to true.

This function was introduced in Qt 4.6.

### QString QScriptString.toString (self)

Returns the string that this QScriptString represents, or a null string if this QScriptString is not valid.

See also isValid().

### bool QScriptString.__eq__ (self, QScriptString other)

### int QScriptString.__hash__ (self)

### bool QScriptString.__ne__ (self, QScriptString other)